Howdy, Stranger!

It looks like you're new here. If you want to get involved, click one of these buttons!

Supported by

OpenSesame 3.2.5 "Kafkaesque Koffka" released

About this update

OpenSesame 3.2.5 Kafkaesque Koffka is the fifth maintenance release in the 3.2 series. It contains bug fixes and minor improvements, and should be a pleasant and safe upgrade for everyone who is using the 3.2 series.

As always, you can download OpenSesame from here:

Notable improvements:

  • A new Japanese translation by Yuya Kinzuka
  • A revised Spanish translation by Roberto de Cecilio
  • Canvas.show() emits a warning when flipping took more than 16 ms
  • Canvas.elements_at() now uses proper geometry to check the borders of elements
  • A new standards-compliant logging system
  • Reduced start-up time by deferred loading of Jupyter Console

If you are upgrading from OpenSesame 3.1 or earlier, please see the list of important changes:

Credits

Thanks to:

  • @Daniel Schreij for his work on the Mac OS package
  • Yuya Kinzuka for contributing a Japanese translation
  • Roberto De Cecilio for revising the Spanish translation

There's much bigger issues in the world, I know. But I first have to take care of the world I know.
cogsci.nl/smathot

Comments

  • Hi Sebastiaan,
    I just tried to upgrade from 3.2.4 to 3.2.5 in Mac OS. The upgrade made all the PyGaze functions disappear from the toolbar. After trying a variety of fixes, I gave up and reinstalled 3.2.4--now all is OK. Is this a bug or a feature (; ?
    Thanks, as always, for all your amazing work on OpenSesame
    --Russell

  • Hi Russel,

    Thanks for bringing this to our attention. That's definitely a bug in the Mac OS packaging. I'll roll the Mac OS link back to 3.2.4 until it's fixed (which should be soon).

    Cheers,
    Sebastiaan

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • Whoops! Sorry guys, I'm fixing this now and will upload the fixed 3.2.5 imminently

  • @Daniel Thanks! The updated package is online now.

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • Hi,

    a bit late to the party, but I can't get 3.2.5 to work in (Arch) Linux (3.2.4 works fine). For 3.2.5, a window is opened and then crashes immediately. I think the relevant error is

    File "/usr/lib/python2.7/site-packages/libqtopensesame/console/_ipython_console.py", line 148, in run from IPython.qt.console.rich_ipython_widget import RichIPythonWidget

    ImportError: No module named rich_ipython_widget

    (I've attached a full dump of terminal output in case it's useful). Can someone better at python than me tell me where I should be looking?

    Thanks in advance

    --MC

  • Hi Martin,

    As always thanks for your work on the Arch package. It looks like something goes wrong importing the Jupyter (IPython) Console. What happens if you run the following in a regular Python terminal?

    from qtconsole.rich_jupyter_widget import RichJupyterWidget as RichIPythonWidget
    from qtconsole.inprocess import QtInProcessKernelManager
    

    Does that result in an error message?

    Cheers!
    Sebastiaan

    There's much bigger issues in the world, I know. But I first have to take care of the world I know.
    cogsci.nl/smathot

  • : python2
    Python 2.7.15 (default, Jun 27 2018, 13:05:28) 
    [GCC 8.1.1 20180531] on linux2
    Type "help", "copyright", "credits" or "license" for more information.
    >>> from qtconsole.rich_jupyter_widget import RichJupyterWidget as RichIPythonWidget
    Traceback (most recent call last):
      File "<stdin>", line 1, in <module>
    ImportError: No module named qtconsole.rich_jupyter_widget
    >>> 
    

    So: that was it. I'd somehow failed to spot qtconsole as a new dependency between 3.2.4 and 3.2.5 (or just been lucky with 3.2.4). 3.2.5 now works fine on Arch.

    Many thanks Sebastiaan!

Sign In or Register to comment.